Subject: bug#58464: 28.1; browse-url-emacs doesn't work for local files on Windows

From: Eli Zaretskii <[email-masked]>
Date: Wed, 12 Oct 2022 18:55:03 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Wed, 12 Oct 2022 16:42:49 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> Well...  have a look at bug#bug#42431, it analyses the problem.  (Which
> >> is that any usage if insert-file-contents that doesn't reference an
> >> actual file on the file system will signal an error, and that's a
> >> mistake, I think?)
> >
> > So why isn't what I proposed there TRT?  We _know_ we are visiting a
> > local file, so why not convert the file:// URL to a local file name
> > before doing anything with it?
> 
> For local files, yes -- but it's a more general problem, and should
> (also) be fixed in general.

I'm not sure I follow: file:// URLs always point to local files, no?
And if you think about remote files in the sense of Tramp, then that's
transparently handled by the "normal" file I/O primitives.  So what is
the more general problem to solve here?  And why converting file://
URLs to file-name format is not TRT?

> (But also see bug#58302 -- browse-url-emacs shouldn't be calling these
> functions at all.)

How else can Emacs visit files except via insert-file-contents?  Or
what do you mean by "these functions"?